Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/esptool: Update to 2.3.1

From: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
Date: Sun, 1 Jul 2018 21:04:18 +0200

- Updated to version 2.4.1
- Switched python2 to python3, as python2 reached end of life
- Corrected dependencies / build time dependencies
---
 testing/esptool/APKBUILD | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)
diff --git a/testing/esptool/APKBUILD b/testing/esptool/APKBUILD
index e94247177b..654c43aaf0 100644
--- a/testing/esptool/APKBUILD
+++ b/testing/esptool/APKBUILD
_at_@ -1,14 +1,14 @@
 # Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer:
 pkgname=esptool
-pkgver=2.3.1
+pkgver=2.4.1
 pkgrel=0
 pkgdesc="ESP8266 and ESP32 serial bootloader utility"
 url="https://github.com/themadinventor/esptool"
 arch="noarch"
 license="GPL-2.0"
-depends="python2 py-serial py-setuptools"
-makedepends="python2-dev"
+depends="python3 py3-serial"
+makedepends="python3-dev py-setuptools"
 install=""
 subpackages="$pkgname-doc"
 source="$pkgname-$pkgver.tar.gz::https://github.com/themadinventor/${pkgname}/archive/v${pkgver}.tar.gz"
_at_@ -16,12 +16,12 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/themadinventor/${pkgname}/ar
 builddir="$srcdir/$pkgname-$pkgver"
 build() {
 	cd "$builddir"
-	python2 setup.py build || return 1
+	python3 setup.py build || return 1
 }
 
 package() {
 	cd "$builddir"
-	python2 setup.py install --prefix=/usr \
+	python3 setup.py install --prefix=/usr \
 		--root="$pkgdir" || return 1
 
 	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
_at_@ -29,4 +29,4 @@ package() {
 		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
 }
 
-sha512sums="67d1c43ecaee640c0dc34e5738489ede53315ef1db78a9499306228648a8e9f57767613daab6084be7c056a2eb9cafe2e746900ed432c7e3246d399e996bcf21  esptool-2.3.1.tar.gz"
+sha512sums="1e58593bd7bc55f067e628c6d826d9b434c6149fa3f82e627d96d13c4cc28ba070f3aeb85b801cf302c53125fb2a71b8e9a8af1de0171a6e224758e2662d3541  esptool-2.4.1.tar.gz"
-- 
2.18.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jul 01 2018 - 21:04:18 GMT